Skip to main content
POST
Record an expense attributed to an active organization user

Authorizations

Authorization
string
header
required

Organization API key with an sk_live_ or sk_test_ prefix

Path Parameters

id
string
required

Resource ID

Body

application/json
user_id
string
required
Minimum string length: 1
type
enum<string>
required
Available options:
labor,
travel,
other
amount_minor
integer
required

Integer cents using 100 per currency unit. Zero is valid.

Required range: 0 <= x <= 2147483647
description
string | null
Maximum string length: 5000

Response

Created expense with the current organization currency recorded

id
string
required
userId
string | null
required
type
enum<string>
required
Available options:
labor,
travel,
other
description
string | null
required
amountMinor
integer
required

Fixed cents. Historical quantity times unit cost rounded to cents.

Required range: x >= 0
currency
string | null
required

Currency recorded at creation; null for unrecorded historical currency.

createdAt
string<date-time>
required
canDelete
boolean
required